Ubuntu

.emacs file not created with lisp program

Reported by Tim Sally on 2009-02-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
slime (Ubuntu)
Undecided
Unassigned

Bug Description

Steps to reproduce:

1.) Move your .emacs file to .orig.emacs
2.) Reinstall the slime package.
3.) Open up Emacs and run slime.

Slime will respond with an error message indicating that a lisp program is not properly specified. Manually fixing this is easy, just create a .emacs file that contains (setq inferior-lisp-program "/usr/bin/sbcl"). However, I think it would be reasonable to make it so the package takes care of this for the user. A .emacs file with the above line should automatically be created if the user doesn't already have a .emacs file.

Tim Sally (tsally) on 2009-02-08
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers